package com.app.simplitend.welcome.activities;

import android.content.Context;
import android.content.res.Configuration;
import android.os.Bundle;

import androidx.appcompat.app.AppCompatActivity;

import com.app.simplitend.databinding.ActivityWelcomeBinding;

public class WelcomeActivity extends AppCompatActivity {

    // View binding
    protected ActivityWelcomeBinding binding;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        // setting screen layout
        binding = ActivityWelcomeBinding.inflate(getLayoutInflater());
        setContentView(binding.getRoot());
    }

    @Override
    protected void attachBaseContext(Context newBase) {
        final Configuration configuration = new Configuration(newBase.getResources().getConfiguration());
        configuration.fontScale = Math.min(configuration.fontScale, 1.0f);
        applyOverrideConfiguration(configuration);
        super.attachBaseContext(newBase);
    }
}